// gnome.xonotic.in.ua

textures/base_light/light5_5k
{
	qer_editorimage textures/base_light/light5.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_backsplash 0 0
	q3map_surfacelight 5000
	{
		map textures/base_light/light5.tga
		rgbgen identity
	}
}

textures/base_trim/wires02
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	{
		map textures/base_trim/wires02.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/base_wall/concrete1
{
	qer_editorimage textures/base_wall/concrete1.tga
	surfaceparm nonsolid
	cull disable
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_wall/concrete1.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/base_wall/concrete_dark
{
	{
		map textures/evil5_floor/confllr.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

textures/city/bush
{
	qer_editorimage textures/city/bush.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
	cull none
	nopicmip
	{
		map textures/city/bush.tga
		blendfunc filter
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm detail
	surfaceparm clusterportal
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/cs/-0sand
{
	qer_editorimage textures/cs/-0sand.tga
	surfaceparm nosteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/cs/-0sand.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/cs/-2sand
{
	qer_editorimage textures/cs/-2sand.tga
	surfaceparm nosteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/cs/-2sand.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/gothic_ceiling/woodceiling1b_dark
{
	{
		map textures/e7/e7panelwood2.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

textures/gothic_trim/pitted_rust3_trans
{
	qer_editorimage textures/gothic_trim/pitted_rust3.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_trim/pitted_rust3.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/nature/palmfrond
{
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformvertexes wave 150 sin 0 1 0 .4
	surfaceparm nolightmap
	{
		map textures/nature/palmfrond.tga
		blendfunc gl_one gl_one_minus_src_alpha
		alphafunc ge128
		depthwrite rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/nature/pleaf1
{
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformvertexes wave 150 sin 0 1 0 .4
	surfaceparm nolightmap
	{
		map textures/nature/pleaf1.tga
		blendfunc gl_one gl_one_minus_src_alpha
		alphafunc ge128
		depthwrite rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/nature/pleaf2
{
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformvertexes wave 150 sin 0 1 0 .4
	surfaceparm nolightmap
	{
		map textures/nature/pleaf2.tga
		blendfunc gl_one gl_one_minus_src_alpha
		alphafunc ge128
		depthwrite rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/nature/pleaf3
{
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformvertexes wave 150 sin 0 1 0 .4
	surfaceparm nolightmap
	{
		map textures/nature/pleaf3.tga
		blendfunc gl_one gl_one_minus_src_alpha
		alphafunc ge128
		depthwrite rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/nature/stamm
{
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/nature/stamm.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/rjldm2/metalchain
{
	cull disable
	surfaceparm alphashadow
	surfaceparm nomarks
	qer_editorimage textures/rjldm2/metalchain.tga
	{
		map textures/rjldm2/metalchain.tga
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/sfx/flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 7500
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/skies/toxicskytim_dm3
{
	qer_editorimage textures/skies/toxicsky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	skyparms env/aedm7/forest - -
	q3map_surfacelight 80
	q3map_sun 1 1 0.5 100 30 60
	skyparms env/azlcmb1_bin/eezabad - -
	{
		map textures/skies/inteldimclouds.tga
		tcmod scroll 0.1 0.1
		tcmod scale 3 2
		depthwrite
	}
	{
		map textures/skies/intelredclouds.tga
		blendfunc gl_one gl_one
		tcmod scroll 0.05 0.05
		tcmod scale 3 3
	}
}

